#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(dahdi_transcoder_register, "", "");
KSYMTAB_FUNC(dahdi_transcoder_unregister, "", "");
KSYMTAB_FUNC(dahdi_transcoder_alert, "", "");
KSYMTAB_FUNC(dahdi_transcoder_alloc, "", "");
KSYMTAB_FUNC(dahdi_transcoder_free, "", "");

MODULE_INFO(depends, "dahdi");

